package com.lantone.qc.kernel.catalogue.ywzxyy.deathcasediscuss;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : DEAC0115
 * @Description : 死亡病例讨论记录无签名
 * @Author : 胡敬
 * @Date: 2020-03-19 11:26
 */
@Component
public class DEAC0115 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getDeathCaseDiscussDoc() != null && inputInfo.getDeathCaseDiscussDoc().getStructureMap() != null) {
            Map<String, String> deathCaseDiscussStructureMap = inputInfo.getDeathCaseDiscussDoc().getStructureMap();
            String sign = deathCaseDiscussStructureMap.get("记录医生");
            if (CatalogueUtil.isEmpty(sign)) {
                status.set("-1");
            }
        }
    }
}